Bug 734802 - RFE: Handle '~' in version/release to lower priority in rpmVersionCompare()
Summary: RFE: Handle '~' in version/release to lower priority in rpmVersionCompare()
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 825087
TreeView+ depends on / blocked
 
Reported: 2011-08-31 14:14 UTC by Hannes Frederic Sowa
Modified: 2012-05-25 05:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 825087 (view as bug list)
Environment:
Last Closed: 2012-05-07 09:45:57 UTC


Attachments (Terms of Use)

Description Hannes Frederic Sowa 2011-08-31 14:14:09 UTC
This seems like a nice to have feature, so I wanted to forward it from rpm.org's trac (currently read-only):

From <http://rpm.org/ticket/56>:
,---
It would be nice when a special handling of '~' would be introduced to mark "negative" version tokens. E.g. so that

| foo-1.0~beta < foo-1.0

holds. This would simplify complicated rulesets which deal with such naming schemes by abusing %release for it. 
`---

Comment 1 Fedora Admin XMLRPC Client 2012-04-13 23:07:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2012-04-13 23:10:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Panu Matilainen 2012-05-07 09:45:57 UTC
Support for tilde in version/release got added in rpm-4.10.0-beta1, currently in rawhide. It cannot be (yet) used in Fedora packages though, as the build infrastructure runs on older rpm versions which dont know about it and cannot install packages with tilde in version/release.


Note You need to log in before you can comment on or make changes to this bug.